<p align="center">
  <img src="/docs/images/logo.png" width="350" height="350">
</p>


[![CircleCI branch](https://img.shields.io/circleci/project/github/freedomofpress/securedrop/develop.svg)](https://circleci.com/gh/freedomofpress/workflows/securedrop/tree/develop)
[![codecov](https://codecov.io/gh/freedomofpress/securedrop/branch/develop/graph/badge.svg)](https://codecov.io/gh/freedomofpress/securedrop)
[![Translation status](https://weblate.securedrop.org/widgets/securedrop/-/svg-badge.svg)](https://weblate.securedrop.org)
[![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/freedomofpress/securedrop?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)


SecureDrop is an open-source whistleblower submission system that media organizations can use to securely accept documents from, and communicate with anonymous sources. It was originally created by the late Aaron Swartz and is currently managed by the [Freedom of the Press Foundation](https://freedom.press).

The SecureDrop documentation is now built and hosted by [Read the Docs](https://readthedocs.org): https://docs.securedrop.org. If you are still trying to use links to Markdown files on our GitHub to read documentation, please update your bookmarks.

There are two *versions* of the [SecureDrop documentation](https://docs.securedrop.org): **stable** and **latest**. The **stable** documentation is the default, and corresponds to the latest stable release of SecureDrop; therefore, it is the best version of the documentation for end users (Sources, Journalists, or Administrators). The **latest** documentation is automatically built from the latest commit on the SecureDrop development branch; therefore, it is most useful for developers and contributors to the project. You can choose to view a different version of the documentation by using the version picker shown at the bottom left of the screen.

## Found an issue?

If you're here because you want to report an issue in SecureDrop, please observe the following protocol to do so responsibly:

* If you want to report a **_security issue_**, please use our [bug bounty hosted by Bugcrowd](https://bugcrowd.com/freedomofpress).
* If filing the issue does not impact security, just create a [GitHub Issue](https://github.com/freedomofpress/securedrop/issues/new).

## How to Install SecureDrop

See the [Installation Guide](https://docs.securedrop.org/en/stable/#installtoc).

## How to Use SecureDrop

* [As a source](https://docs.securedrop.org/en/stable/source.html)
* [As a journalist](https://docs.securedrop.org/en/stable/journalist.html)

## How to Contribute to SecureDrop

See our [contribution page](CONTRIBUTING.md)

## License

SecureDrop is open source and released under the [GNU Affero General Public License v3](/LICENSE).

## Wordlists

The wordlist we use to generate source passphrases come from various sources:

* [en.txt](/securedrop/wordlists/en.txt) is based off a new [Diceware wordlist](https://www.eff.org/deeplinks/2016/07/new-wordlists-random-passphrases) from the EFF.
* [fr.txt](/securedrop/wordlists/fr.txt) is based off Matthieu Weber's [translated diceware list](http://weber.fi.eu.org/index.shtml.en).


## Acknowledgments

A huge thank you to all SecureDrop contributors! You can see just
code and documentation contributors in the ["Contributors"](https://github.com/freedomofpress/securedrop/graphs/contributors)
tab on GitHub, and you can see code, documentation and translation contributors together [here](https://github.com/freedomofpress/securedrop-i18n/graphs/contributors).
